package com.jpsoft.smart.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.CompanyInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface CompanyInfoDAO {
	int insert(CompanyInfo entity);

	int update(CompanyInfo entity);

	int exist(String id);

	CompanyInfo get(String id);

	int delete(String id);

	List<CompanyInfo> list();

	List<CompanyInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	List<CompanyInfo> findByCompanyCode(String code);

	long countByParentId(@Param("parentId") String parentId);

	long countByCompanyCode(String code,Long personId);

	int updateCode(String oldCode,int startIndex, String newCode);

    List<CompanyInfo> findByCompanyCode(String code, Long personId);

    List<CompanyInfo> findByParentId(@Param("parentId") String parentId);

	CompanyInfo findByName(String name);

}
