package com.jpsoft.smart.modules.base.dao;

import java.util.List;

import com.jpsoft.smart.modules.base.entity.MessageNotice;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.MessageNoticeCompany;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface MessageNoticeCompanyDAO {
	int insert(MessageNoticeCompany entity);
	int update(MessageNoticeCompany entity);
	int exist(String id);
	MessageNoticeCompany get(String id);
	int delete(String id);
	int deleteByNoticeId(String noticeId);
	List<MessageNoticeCompany> findByNoticeId(String noticeId);
	List<MessageNoticeCompany> list();
	List<MessageNoticeCompany> search(Map<String,Object> searchParams,List<Sort> sortList);
}