package com.jpsoft.smart.modules.base.dao;

import java.util.List;

import com.jpsoft.smart.modules.base.entity.MessageNoticeCompany;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.MessageNotice;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface MessageNoticeDAO {
	int insert(MessageNotice entity);
	int update(MessageNotice entity);
	int exist(String id);
	MessageNotice get(String id);
	int delete(String id);
	List<MessageNotice> list();
	List<MessageNotice> search(Map<String,Object> searchParams,List<Sort> sortList);
	List<MessageNotice> searchShort(Map<String,Object> searchParams,List<Sort> sortList);
}