package com.jpsoft.smart.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.swing.*;
import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2020-4-14 9:33
 */
@Data
@ApiModel(value = "base_company_payment_info的实体类")
public class CompanyPaymentInfo {


    private Long id;
    private String companyId;
    private String parkingWechatNotifyUrl;
    private String parkingAlipayNotifyUrl;
    private String appId;
    private String mchId;
    private String subAppId;
    private String subAppSecret;
    private String subMchId;
    private String appAuthToken;
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    private Boolean delFlag;

}
