package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.jpsoft.smart.modules.base.entity.AlarmConfig;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface AlarmConfigService {
	AlarmConfig get(String id);
	boolean exist(String id);
	int insert(AlarmConfig model);
	int update(AlarmConfig model);
	int delete(String id);
	List<AlarmConfig> list();
	Page<AlarmConfig> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<AlarmConfig> findByCompanyId(String companyId);

    Set<Integer> getWeekdaySetByCompanyId(String companyId);
}