package com.jpsoft.smart.modules.base.service;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.jpsoft.smart.modules.base.entity.HolidayInfo;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface HolidayInfoService {
	HolidayInfo get(String id);
	boolean exist(String id);
	int insert(HolidayInfo model);
	int update(HolidayInfo model);
	int delete(String id);
	List<HolidayInfo> list();
	Page<HolidayInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
    Set<String> getHolidaySetByDate(Date startDate, Date endDate);
}