package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.MessageNotice;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface MessageNoticeService {
	MessageNotice get(String id);
	boolean exist(String id);
	int insert(MessageNotice model);
	int update(MessageNotice model);
	int delete(String id);
	List<MessageNotice> list();
	Page<MessageNotice> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	Page<MessageNotice> pageSearchShort(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}