package com.jpsoft.smart.modules.base.service.impl;

import com.jpsoft.smart.modules.base.dao.CompanyInfoDAO;
import com.jpsoft.smart.modules.base.dao.CompanyPaymentInfoDAO;
import com.jpsoft.smart.modules.base.entity.CompanyPaymentInfo;
import com.jpsoft.smart.modules.base.service.CompanyPaymentInfoService;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author 墨鱼_mo
 * @date 2020-4-14 11:19
 */
@Transactional
@Component(value="CompanyPaymentInfoService")
public class CompanyPaymentInfoServiceImpl implements CompanyPaymentInfoService {

    @Resource(name="companyPaymentInfoDAO")
    private CompanyPaymentInfoDAO companyPaymentInfoDAO;

    @Override
    public CompanyPaymentInfo findByCompanyId(String companyId) {
        return companyPaymentInfoDAO.findByCompanyId(companyId);
    }
}
