package com.jpsoft.smart.modules.business.dao;

import java.util.List;

import com.jpsoft.smart.modules.business.entity.FillAttendance;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface FillAttendanceDAO {
	int insert(FillAttendance entity);
	int update(FillAttendance entity);
	int exist(String id);
	FillAttendance get(String id);
	int delete(String id);
	List<FillAttendance> list();
	List<FillAttendance> search(Map<String, Object> searchParams, List<Sort> sortList);
}