package com.jpsoft.smart.modules.business.dao;

import java.util.List;

import com.jpsoft.smart.modules.business.entity.FillAttendanceFiles;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface FillAttendanceFilesDAO {
	int insert(FillAttendanceFiles entity);
	int update(FillAttendanceFiles entity);
	int exist(String id);
	FillAttendanceFiles get(String id);
	int delete(String id);
	List<FillAttendanceFiles> list();
	List<FillAttendanceFiles> search(Map<String, Object> searchParams, List<Sort> sortList);
}