package com.jpsoft.smart.modules.common.utils;

import cn.hutool.http.HttpRequest;
import com.jpsoft.smart.config.ParkingConfig;
import com.jpsoft.smart.modules.common.service.IRedisService;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * @author 墨鱼_mo
 * @date 2019-9-17 14:43
 */
@Component
public class ParkApiUtil {

    @Autowired
    private ParkingConfig parkingConfig;

    @Autowired
    private IRedisService redisService;


    public String getXToken(){

        String body = HttpRequest.get(parkingConfig.getIp() +"/ipms/subSystem/generate/token?userName=" + parkingConfig.getUserName()).execute().body();
        JSONObject jsonbody = JSONObject.fromObject(body);
        String data = jsonbody.getString("data");

        String accessToken = JSONObject.fromObject(data).getString("accessToken");
        if (StringUtils.isNotBlank(accessToken)){

            redisService.put("accessToken","accessToken",accessToken,86400L);

            return accessToken;


        }
        else {
            return "";
        }
    }

    public JSONObject httpRequest(String url, String accessToken,String method,HashMap map){

        if (method.equals("POST")){

           /* Map<String,Object> dataMap = new HashMap<>();
            dataMap.put("carNum","鄂DA9883");
            dataMap.put("queryType",1);*/
            String jsonMapString = com.alibaba.fastjson.JSONObject.toJSONString(map);

            HashMap<String,String> heardMap = new HashMap<>();
            heardMap.put("accessToken",accessToken);
            heardMap.put("Content-Type","application/json;charset=UTF-8");



            String body = HttpRequest.post(parkingConfig.getIp()+url).addHeaders(heardMap).body(jsonMapString).execute().body();
            JSONObject jsonbody = JSONObject.fromObject(body);
            return jsonbody;






        }
        else {

            String body = HttpRequest.get(parkingConfig.getIp()+"/ipms/device/sluice/channel").header("accessToken",accessToken).form(map).execute().body();
            return null;
        }







    }


}
