package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.AlarmConfig;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface AlarmConfigDAO {
	int insert(AlarmConfig entity);
	int update(AlarmConfig entity);
	int exist(String id);
	AlarmConfig get(String id);
	int delete(String id);
	List<AlarmConfig> list();
	List<AlarmConfig> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<AlarmConfig> findByCompanyId(String companyId);
}