package com.jpsoft.smart.modules.base.dao;

import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.HolidayInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface HolidayInfoDAO {
	int insert(HolidayInfo entity);
	int update(HolidayInfo entity);
	int exist(String id);
	HolidayInfo get(String id);
	int delete(String id);
	List<HolidayInfo> list();
	List<HolidayInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
	List<HolidayInfo> findByDate(Date startDate, Date endDate);
}