package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.MessageReport;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface MessageReportDAO {
	int insert(MessageReport entity);
	int update(MessageReport entity);
	int exist(String id);
	MessageReport get(String id);
	int delete(String id);
	List<MessageReport> list();
	List<MessageReport> search(Map<String,Object> searchParams,List<Sort> sortList);
}