package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.PersonCompany;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface PersonCompanyDAO {
	int insert(PersonCompany entity);
	int update(PersonCompany entity);
	int exist(String id);
	PersonCompany get(String id);
	int delete(String id);
    int deleteByPersonId(Long personId);
	List<PersonCompany> findByPersonId(Long personId);
	List<PersonCompany> list();
	List<PersonCompany> search(Map<String,Object> searchParams,List<Sort> sortList);
}