package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.MessageReport;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface MessageReportService {
	MessageReport get(String id);
	boolean exist(String id);
	int insert(MessageReport model);
	int update(MessageReport model);
	int delete(String id);
	List<MessageReport> list();
	Page<MessageReport> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}