package com.jpsoft.smart.modules.base.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import cn.hutool.core.date.DateTime;
import com.jpsoft.smart.modules.base.entity.DeviceInfo;
import com.jpsoft.smart.modules.base.entity.PersonDeviceRelation;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface PersonDeviceRelationService {
	PersonDeviceRelation get(String id);
	boolean exist(String id);
	int insert(PersonDeviceRelation model);
	int update(PersonDeviceRelation model);
	int updateDevicePerson(PersonDeviceRelation model) throws Exception;
	int delete(String id);
	List<PersonDeviceRelation> list();
	List<PersonDeviceRelation> findByPersonId(Long personId);
	List<PersonDeviceRelation> findByDeviceId(String deviceId);
	List<Long> findByDerviceName(String derviceName);
	PersonDeviceRelation findByDeviceIdAndPersonId(String deviceId,Long personId);
	Page<PersonDeviceRelation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);

    List<DeviceInfo> findDeviceByPersonId(Long id);

	List<PersonDeviceRelation> findByIsBoundAndUpdateTime(Date updateTime, Integer limit);

	void updateIsBound(Long personInfoId, String deviceInfoId,Boolean isBound);


	//List<PersonDeviceRelation> findByPersonId(Long id);
}